Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class RoundRectangle2D.Float

    java.lang.Object
      java.awt.geom.RectangularShape
          java.awt.geom.RoundRectangle2D
              java.awt.geom.RoundRectangle2D.Float

All Implemented Interfaces:
  Shape, Cloneable

Enclosing class:
  RoundRectangle2D

    public static class RoundRectangle2D.Float

extends RoundRectangle2D

The `Float` class defines a rectangle with rounded corners all specified in `float` coordinates.

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.geom.RoundRectangle2D
`RoundRectangle2D.Double, RoundRectangle2D.Float`

Field Summary
`float` | `archeight` The height of the arc that rounds off the corners.
`float` | `arcwidth` The width of the arc that rounds off the corners.
`float` | `height` The height of this `RoundRectangle2D`.
`float` | `width` The width of this `RoundRectangle2D`.
`float` | `x` The X coordinate of this `RoundRectangle2D`.
`float` | `y` The Y coordinate of this `RoundRectangle2D`.

Constructor Summary
`RoundRectangle2D.Float()` Constructs a new `RoundRectangle2D`, initialized to location (0.0, 0), size (0.0, 0.0), and corner arcs of radius 0.0.
`RoundRectangle2D.Float(float x, float y, float w, float h, float arcw, float arch)` Constructs and initializes a `RoundRectangle2D` from the specified coordinates.

Method Summary
`double` | `getArcHeight()` Returns the height of the arc that rounds off the corners.
`double` | `getArcWidth()` Returns the width of the arc that rounds off the corners.
`Rectangle2D` | `getBounds2D()` Returns the high precision bounding box of this `RoundRectangle2D`.
`double` | `getHeight()` Returns the height of this `RoundRectangle2D` in `double` precision.
`double` | `getWidth()` Returns the width of this `RoundRectangle2D` in `double` precision.
`double` | `getX()` Returns the X coordinate of this `RoundRectangle2D` in `double` precision.
`double` | `getY()` Returns the Y coordinate of this `RoundRectangle2D` in `double` precision.
`boolean` | `isEmpty()` Determines whether or not this `RoundRectangle2D` is empty.
`void` | `setRoundRect(double x, double y, double w, double h, double arcw, double arch)` Sets the location, size, and arc radii of this `RoundRectangle2D` to the specified `double` values.
`void` | `setRoundRect(float x, float y, float w, float h, float arcw, float arch)` Sets the location, size, and arc radii of this `RoundRectangle2D` to the specified `float` values.
`void` | `setRoundRect(RoundRectangle2D rr)` Sets this `RoundRectangle2D` to be the same as the specified `RoundRectangle2D`.

Methods inherited from class java.awt.geom.RoundRectangle2D
`contains, contains, getPathIterator, intersects, setFrame`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, getPathIterator, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public float x

  The X coordinate of this `RoundRectangle2D`.

### y

    public float y

  The Y coordinate of this `RoundRectangle2D`.

### width

    public float width

  The width of this `RoundRectangle2D`.

### height

    public float height

  The height of this `RoundRectangle2D`.

### arcwidth

    public float arcwidth

  The width of the arc that rounds off the corners.

### archeight

    public float archeight

  The height of the arc that rounds off the corners.

Constructor Detail

### RoundRectangle2D.Float

    public RoundRectangle2D.Float()

  Constructs a new `RoundRectangle2D`, initialized to location (0.0, 0), size (0.0, 0.0), and corner arcs of radius 0.0.

### RoundRectangle2D.Float

    public RoundRectangle2D.Float(float x,
                                  float y,
                                  float w,
                                  float h,
                                  float arcw,
                                  float arch)

  Constructs and initializes a `RoundRectangle2D` from the specified coordinates.

  Parameters:
    `x, y` - the coordinates to which to set the newly constructed `RoundRectangle2D`
    `w` - the width to which to set the newly constructed `RoundRectangle2D`
    `h` - the height to which to set the newly constructed `RoundRectangle2D`
    `arcw` - the width of the arc to use to round off the corners of the newly constructed `RoundRectangle2D`
    `arch` - the height of the arc to use to round off the corners of the newly constructed `RoundRectangle2D`

Method Detail

### getX

    public double getX()

  Returns the X coordinate of this `RoundRectangle2D` in `double` precision.

  Specified by:
    `getX` in class `RectangularShape`
  Returns:
    the X coordinate of this `RoundRectangle2D`.

### getY

    public double getY()

  Returns the Y coordinate of this `RoundRectangle2D` in `double` precision.

  Specified by:
    `getY` in class `RectangularShape`
  Returns:
    the Y coordinate of this `RoundRectangle2D`.

### getWidth

    public double getWidth()

  Returns the width of this `RoundRectangle2D` in `double` precision.

  Specified by:
    `getWidth` in class `RectangularShape`
  Returns:
    the width of this `RoundRectangle2D`.

### getHeight

    public double getHeight()

  Returns the height of this `RoundRectangle2D` in `double` precision.

  Specified by:
    `getHeight` in class `RectangularShape`
  Returns:
    the height of this `RoundRectangle2D`.

### getArcWidth

    public double getArcWidth()

  Returns the width of the arc that rounds off the corners.

  Specified by:
    `getArcWidth` in class `RoundRectangle2D`
  Returns:
    the width of the arc that rounds off the corners of this `RoundRectangle2D`.

### getArcHeight

    public double getArcHeight()

  Returns the height of the arc that rounds off the corners.

  Specified by:
    `getArcHeight` in class `RoundRectangle2D`
  Returns:
    the height of the arc that rounds off the corners of this `RoundRectangle2D`.

### isEmpty

    public boolean isEmpty()

  Determines whether or not this `RoundRectangle2D` is empty.

  Specified by:
    `isEmpty` in class `RectangularShape`
  Returns:
    `true` if this `RoundRectangle2D` is empty; `false` othwerwise.

### setRoundRect

    public void setRoundRect(float x,
                             float y,
                             float w,
                             float h,
                             float arcw,
                             float arch)

  Sets the location, size, and arc radii of this `RoundRectangle2D` to the specified `float` values.

  Parameters:
    `x, y` - the coordinates to which to set the location of this `RoundRectangle2D`
    `w` - the width to which to set this `RoundRectangle2D`
    `h` - the height to which to set this `RoundRectangle2D`
    `arcw` - the width to which to set the arc of this `RoundRectangle2D`
    `arch` - the height to which to set the arc of this `RoundRectangle2D`

### setRoundRect

    public void setRoundRect(double x,
                             double y,
                             double w,
                             double h,
                             double arcw,
                             double arch)

  Sets the location, size, and arc radii of this `RoundRectangle2D` to the specified `double` values.

  Specified by:
    `setRoundRect` in class `RoundRectangle2D`
  Parameters:
    `x, y` - the coordinates to which to set the location of this `RoundRectangle2D`
    `w` - the width to which to set this `RoundRectangle2D`
    `h` - the height to which to set this `RoundRectangle2D`
    `arcw` - the width to which to set the arc of this `RoundRectangle2D`
    `arch` - the height to which to set the arc of this `RoundRectangle2D`

### setRoundRect

    public void setRoundRect(RoundRectangle2D rr)

  Sets this `RoundRectangle2D` to be the same as the specified `RoundRectangle2D`.

  Overrides:
    `setRoundRect` in class `RoundRectangle2D`
  Parameters:
    `rr` - the specified `RoundRectangle2D`

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the high precision bounding box of this `RoundRectangle2D`.

  Returns:
    a `Rectangle2D` that is the bounding box of this `RoundRectangle2D`.
  See Also:
    `Shape.getBounds()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.